Page MenuHomePhabricator

Design a Milestone Tag
Closed, ResolvedPublic12 Quest Points

Description

Since Milestones are only one level, it may make sense to have a "Milestone" tag that is [ Project > Milestone ]

Event Timeline

chad created this task.Feb 5 2016, 7:44 PM
chad added a project: Design.

it's beautiful

chad added a comment.Feb 5 2016, 8:04 PM

I think this is actually a little tricky. In the UI, I'd like to see us auto pre-pend the Project Name with the Milestone, then represent that as the object everywhere (search, tags, typeahead, page title). But that likely means using some UTF-8 delimiter over a pretty pretty icon.

probably doesn't look that bad.

Well, it doesn't look awesome either:

Let me look at other similar characters. Otherwise we can use this in text-only cases and an icon in HTML cases.

looks a lot better, except that it has some kind of bizarre super-wide right margin on the actual glyph, at least on my system/font:

has the bad spacing and also a weird baseline:

chad added a comment.Feb 5 2016, 8:12 PM

We could just do parens. [ Stonework (Iteration I) ]

chad added a comment.Feb 5 2016, 8:13 PM

Using the Milestone Icon should identify it clearly as a Milestone.

doesn't have the bad spacing but does have an odd baseline:

HOLD ON WE HAVE HUNDREDS OF BRACKETS TO LOOK THROUGH STILL

he he he

looks okayish but has weird spacing:

yeah whatever

This bare "v3" in the is still a little weird:

..but I figure we'll eventually replace it with a beefier element, at least in non-collapsed mode, when this fancy stuff gets some kind of work done on it:

chad moved this task from Backlog to Active on the Design board.Feb 7 2016, 3:14 AM
chad added a comment.Feb 17 2016, 5:12 PM

we could invert tag colors on milestones to stand out more.

I really like the look of the inverse tag, although I haven't personally felt too much confusion about milestones vs nonmilestones on project pages.

Shy of inverting the tags, the fatter menu header might help with that -- we could also consider making that provide a stronger callout for milestones vs projects.

chad moved this task from Active to Backlog on the Design board.Jun 7 2016, 8:28 PM
chad triaged this task as Low priority.Jun 12 2016, 7:55 PM
eadler added a project: Restricted Project.Aug 5 2016, 5:24 PM
chad set the point value for this task to 12.Aug 12 2016, 4:12 PM
epriestley closed this task as Resolved.Feb 7 2019, 8:26 PM

Maybe T6038.